> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korve.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List

> Page retained recovery points for a database.



## OpenAPI

````yaml /openapi.json get /v1/orgs/{orgId}/projects/{projectId}/databases/{databaseId}/backups
openapi: 3.1.0
info:
  title: Korve API
  version: 0.1.0
  description: >-
    Typed control plane for deploying applications and explicitly provisioning
    their managed infrastructure.
servers:
  - url: https://api.korve.dev
security: []
paths:
  /v1/orgs/{orgId}/projects/{projectId}/databases/{databaseId}/backups:
    get:
      tags:
        - databaseBackups
      summary: List
      description: Page retained recovery points for a database.
      operationId: databaseBackups.list
      parameters:
        - name: orgId
          in: path
          required: true
          schema:
            type: string
          description: The organization's id (UUID) or slug — either form is accepted.
        - name: projectId
          in: path
          required: true
          schema:
            type: string
          description: The project's id (UUID) or slug — either form is accepted.
        - name: databaseId
          in: path
          required: true
          schema:
            type: string
        - name: cursor
          in: query
          required: false
          schema:
            type: string
        - name: limit
          in: query
          required: false
          schema:
            type: integer
        - name: status
          in: query
          required: false
          schema:
            type: string
            enum:
              - queued
              - running
              - ready
              - failed
              - expired
      responses:
        '200':
          description: Backup page.
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        databaseId:
                          type: string
                        kind:
                          type: string
                          enum:
                            - continuous
                            - manual
                            - daily
                            - weekly
                            - monthly
                        status:
                          type: string
                          enum:
                            - queued
                            - running
                            - ready
                            - failed
                            - expired
                        recoveryPoint:
                          type:
                            - string
                            - 'null'
                          format: date-time
                        sizeBytes:
                          type:
                            - integer
                            - 'null'
                        destinationId:
                          type:
                            - string
                            - 'null'
                        destinationVersion:
                          type:
                            - integer
                            - 'null'
                          description: >-
                            Exact immutable destination configuration used by
                            this recovery point.
                        error:
                          type:
                            - string
                            - 'null'
                        expiresAt:
                          type:
                            - string
                            - 'null'
                          format: date-time
                        createdAt:
                          type: string
                          format: date-time
                        completedAt:
                          type:
                            - string
                            - 'null'
                          format: date-time
                      required:
                        - id
                        - databaseId
                        - kind
                        - status
                        - recoveryPoint
                        - sizeBytes
                        - destinationId
                        - destinationVersion
                        - error
                        - expiresAt
                        - createdAt
                        - completedAt
                  nextCursor:
                    type:
                      - string
                      - 'null'
                required:
                  - items
                  - nextCursor
        '404':
          description: No such database in this project.
      security:
        - apiKey: []
        - session: []
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      bearerFormat: korve_api_key
    session:
      type: apiKey
      in: cookie
      name: korve.session_token

````